Subject: [rtcweb] JSEP-04: Nits and niggles

From: Harald Alvestrand <[email-masked]>
Date: Thu, 19 Sep 2013 14:54:57 +0200

I'm sure we'll have lots of things to discuss about JSEP. I just thought 
I'd get these out of the way.

- Usage of MSID. In addition to the a=msid: lines, the session-level 
generation procedure needs to say that a line "a=msid-semantic:WMS <id>" 
is added to the session-level description, containing the IDs of the 
MediaStreams that are signalled.

- a=ssrc lines. The spec (5.2.1 second list last bullet) simply says "an 
a=ssrc line". But RFC 5576 specifies that all ssrc lines contain an 
attribute. Suggestion: define one that does no harm (role=primary?)

- recycling of m= lines. The section in 5.2.2 (subsequent offers) that 
talks about this doesn't mention that the media in the m-line has to 
match, although section 5.3.1 (initial answer) actually talks about it. 
I'm assuming that's an oversight.

I'd suggest pulling the language about "selecting an appropriate m-line 
for a track" out in a separate subsection, so that we have one place to 
point to for this.

Out of time, let's get these ones out of the way for -05....

---

From: Suhas Nandakumar <[email-masked]>
Date: Thu, 19 Sep 2013 13:55:29 -0700

Regarding a=ssrc comment above,
The text from RFC5576 says this

Each "ssrc" media attribute specifies a single source-level attribute
   for the given <ssrc-id>.  For each source mentioned in SDP, the
   source-level attribute "cname", defined in Section 6.1
<http://tools.ietf.org/html/rfc5576#section-6.1>, MUST be
   provided.  Any number of other source-level attributes for the source
   MAY also be provided.

given the above, would it be cname attribute for a given ssrc that
should be mandated at the minimum ?

Cheers

Suhas

On Thu, Sep 19, 2013 at 5:54 AM, Harald Alvestrand <[email-masked]>wrote:

> generation procedure needs to say that a line "a=msid-semantic:WMS <id>" is
> added to the session-level description, containing the IDs of the
> talks about this doesn't mention that the media in the m-line has to match,
> although section 5.3.1 (initial answer) actually talks about it. I'm
> assuming that's an oversight.
>
> ______________________________**_________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/rtcweb<https://www.ietf.org/mailman/listinfo/rtcweb>
>

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 20 Sep 2013 00:19:50 +0200

On 09/19/2013 10:55 PM, Suhas Nandakumar wrote:
>     source-level attribute "cname", defined inSection 6.1  <http://tools.ietf.org/html/rfc5576#section-6.1>, MUST be
> given the above, would it be cname attribute for a given ssrc that should be mandated at the minimum ?

Thanks, that makes sense to me. Updating JSEP to say "add a line with 
a=ssrc cname=<cname>" sounds like something that does what we want and 
is consistent with 5576.
>
>
>
> Cheers
> Suhas
>
>
> On Thu, Sep 19, 2013 at 5:54 AM, Harald Alvestrand 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     I'm sure we'll have lots of things to discuss about JSEP. I just
>     thought I'd get these out of the way.
>
>     - Usage of MSID. In addition to the a=msid: lines, the
>     session-level generation procedure needs to say that a line
>     "a=msid-semantic:WMS <id>" is added to the session-level
>     description, containing the IDs of the MediaStreams that are
>     signalled.
>
>     - a=ssrc lines. The spec (5.2.1 second list last bullet) simply
>     says "an a=ssrc line". But RFC 5576 specifies that all ssrc lines
>     contain an attribute. Suggestion: define one that does no harm
>     (role=primary?)
>
>     - recycling of m= lines. The section in 5.2.2 (subsequent offers)
>     that talks about this doesn't mention that the media in the m-line
>     has to match, although section 5.3.1 (initial answer) actually
>     talks about it. I'm assuming that's an oversight.
>
>     I'd suggest pulling the language about "selecting an appropriate
>     m-line for a track" out in a separate subsection, so that we have
>     one place to point to for this.
>
>     _______________________________________________
>     rtcweb mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/rtcweb
>
>

---

From: Justin Uberti <[email-masked]>
Date: Fri, 27 Sep 2013 10:34:05 -0700

Thanks for these comments. Agree with your suggestions, will fix in the
next version.

On Thu, Sep 19, 2013 at 3:19 PM, Harald Alvestrand <[email-masked]>wrote:

>    source-level attribute "cname", defined in Section 6.1 <http://tools.ietf.org/html/rfc5576#section-6.1>, MUST be
> a=ssrc cname=<cname>" sounds like something that does what we want and is
> consistent with 5576.
>
>
>  Cheers
>
> Suhas
>
>
>